Bug 2161773 (CVE-2022-37436) - CVE-2022-37436 httpd: mod_proxy: HTTP response splitting
Summary: CVE-2022-37436 httpd: mod_proxy: HTTP response splitting
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-37436
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2162094 2162485 2162486 2162487 2165973 2165977
Blocks: 2161771
TreeView+ depends on / blocked
 
Reported: 2023-01-17 20:50 UTC by Zack Miele
Modified: 2023-08-15 17:40 UTC (History)
40 users (show)

Fixed In Version: httpd 2.4.55
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the mod_proxy module of httpd. A malicious backend can cause the response headers to be truncated because they are not cleaned when an error is found while reading them, resulting in some headers being incorporated into the response body and not being interpreted by a client.
Clone Of:
Environment:
Last Closed: 2023-02-28 12:18:12 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:0852 0 None None None 2023-02-21 09:32:06 UTC
Red Hat Product Errata RHSA-2023:0970 0 None None None 2023-02-28 08:20:52 UTC
Red Hat Product Errata RHSA-2023:4628 0 None None None 2023-08-15 17:37:14 UTC
Red Hat Product Errata RHSA-2023:4629 0 None None None 2023-08-15 17:40:47 UTC

Description Zack Miele 2023-01-17 20:50:26 UTC
Prior to Apache HTTP Server 2.4.55, a malicious backend can cause the response headers to be truncated early, resulting in some headers being incorporated into the response body. If the later headers have any security purpose, they will not be interpreted by the client.

References:
https://httpd.apache.org/security/vulnerabilities_24.html
https://www.openwall.com/lists/oss-security/2023/01/17/7

Comment 1 Guilherme de Almeida Suckevicz 2023-01-18 18:55:09 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 2162094]

Comment 10 errata-xmlrpc 2023-02-21 09:32:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:0852 https://access.redhat.com/errata/RHSA-2023:0852

Comment 11 errata-xmlrpc 2023-02-28 08:20:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:0970 https://access.redhat.com/errata/RHSA-2023:0970

Comment 12 Product Security DevOps Team 2023-02-28 12:18:07 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-37436

Comment 13 errata-xmlrpc 2023-08-15 17:37:11 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2023:4628 https://access.redhat.com/errata/RHSA-2023:4628

Comment 14 errata-xmlrpc 2023-08-15 17:40:44 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7
  JBoss Core Services for RHEL 8

Via RHSA-2023:4629 https://access.redhat.com/errata/RHSA-2023:4629


Note You need to log in before you can comment on or make changes to this bug.